Bug 1290810 - [abrt] webkitgtk4: WebKit::NPObjectMessageReceiver::hasProperty(): WebKitPluginProcess killed by SIGSEGV
[abrt] webkitgtk4: WebKit::NPObjectMessageReceiver::hasProperty(): WebKitPlug...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: webkitgtk4 (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomas Popela
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:e7da677b2d215b57bb2fb95817e...
:
: 1316102 1322731 1350512 1380136 1389269 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-11 09:23 EST by Phoenix
Modified: 2016-10-27 11:53 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-01 18:32:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (40.50 KB, text/plain)
2015-12-11 09:23 EST, Phoenix
no flags Details
File: cgroup (190 bytes, text/plain)
2015-12-11 09:23 EST, Phoenix
no flags Details
File: core_backtrace (6.35 KB, text/plain)
2015-12-11 09:23 EST, Phoenix
no flags Details
File: dso_list (11.84 KB, text/plain)
2015-12-11 09:23 EST, Phoenix
no flags Details
File: environ (1.51 KB, text/plain)
2015-12-11 09:23 EST, Phoenix
no flags Details
File: exploitable (82 bytes, text/plain)
2015-12-11 09:23 EST, Phoenix
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-11 09:23 EST, Phoenix
no flags Details
File: maps (55.65 KB, text/plain)
2015-12-11 09:23 EST, Phoenix
no flags Details
File: mountinfo (3.35 KB, text/plain)
2015-12-11 09:23 EST, Phoenix
no flags Details
File: namespaces (85 bytes, text/plain)
2015-12-11 09:23 EST, Phoenix
no flags Details
File: open_fds (1.18 KB, text/plain)
2015-12-11 09:23 EST, Phoenix
no flags Details
File: proc_pid_status (1011 bytes, text/plain)
2015-12-11 09:23 EST, Phoenix
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
WebKit Project 154883 None None None 2016-03-01 18:32 EST

  None (edit)
Description Phoenix 2015-12-11 09:23:08 EST
Version-Release number of selected component:
webkitgtk4-2.10.4-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/libexec/webkit2gtk-4.0/WebKitPluginProcess 17 /usr/lib64/mozilla/plugins/libgnome-shell-browser-plugin.so
crash_function: WebKit::NPObjectMessageReceiver::hasProperty
executable:     /usr/libexec/webkit2gtk-4.0/WebKitPluginProcess
global_pid:     5739
kernel:         4.2.6-301.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 WebKit::NPObjectMessageReceiver::hasProperty at /usr/src/debug/webkitgtk-2.10.4/Source/WebKit2/Shared/Plugins/NPObjectMessageReceiver.cpp:133
 #1 IPC::callMemberFunctionImpl<WebKit::NPObjectMessageReceiver, void (WebKit::NPObjectMessageReceiver::*)(WebKit::NPIdentifierData const&, bool&), std::tuple<WebKit::NPIdentifierData>, 0ul, std::tuple<bool>, 0ul>(WebKit::NPObjectMessageReceiver*, void (WebKit::NPObjectMessageReceiver::*)(WebKit::NPIdentifierData const&, bool&), std::tuple<WebKit::NPIdentifierData>&&, std::tuple<bool>&, std::index_sequence<0ul>, std::index_sequence<0ul>) at /usr/src/debug/webkitgtk-2.10.4/Source/WebKit2/Platform/IPC/HandleMessage.h:30
 #2 IPC::callMemberFunction<WebKit::NPObjectMessageReceiver, void (WebKit::NPObjectMessageReceiver::*)(WebKit::NPIdentifierData const&, bool&), std::tuple<WebKit::NPIdentifierData>, std::make_index_sequence<1ul>, std::tuple<bool>, std::make_index_sequence<1ul> >(std::tuple<WebKit::NPIdentifierData>&&, std::tuple<bool>&, WebKit::NPObjectMessageReceiver*, void (WebKit::NPObjectMessageReceiver::*)(WebKit::NPIdentifierData const&, bool&)) at /usr/src/debug/webkitgtk-2.10.4/Source/WebKit2/Platform/IPC/HandleMessage.h:36
 #3 IPC::handleMessage<Messages::NPObjectMessageReceiver::RemoveProperty, WebKit::NPObjectMessageReceiver, void (WebKit::NPObjectMessageReceiver::*)(WebKit::NPIdentifierData const&, bool&)> at /usr/src/debug/webkitgtk-2.10.4/Source/WebKit2/Platform/IPC/HandleMessage.h:105
 #4 WebKit::NPObjectMessageReceiver::didReceiveSyncNPObjectMessageReceiverMessage at /usr/src/debug/webkitgtk-2.10.4/x86_64-redhat-linux-gnu/DerivedSources/WebKit2/NPObjectMessageReceiverMessageReceiver.cpp:73
 #5 WebKit::NPRemoteObjectMap::didReceiveSyncMessage at /usr/src/debug/webkitgtk-2.10.4/Source/WebKit2/Shared/Plugins/NPRemoteObjectMap.cpp:226
 #6 WebKit::WebProcessConnection::didReceiveSyncMessage at /usr/src/debug/webkitgtk-2.10.4/Source/WebKit2/PluginProcess/WebProcessConnection.cpp:156
 #7 IPC::Connection::dispatchSyncMessage at /usr/src/debug/webkitgtk-2.10.4/Source/WebKit2/Platform/IPC/Connection.cpp:838
 #8 IPC::Connection::dispatchMessage at /usr/src/debug/webkitgtk-2.10.4/Source/WebKit2/Platform/IPC/Connection.cpp:901
 #9 IPC::Connection::SyncMessageState::dispatchMessages at /usr/src/debug/webkitgtk-2.10.4/Source/WebKit2/Platform/IPC/Connection.cpp:174
Comment 1 Phoenix 2015-12-11 09:23:15 EST
Created attachment 1104700 [details]
File: backtrace
Comment 2 Phoenix 2015-12-11 09:23:17 EST
Created attachment 1104701 [details]
File: cgroup
Comment 3 Phoenix 2015-12-11 09:23:19 EST
Created attachment 1104702 [details]
File: core_backtrace
Comment 4 Phoenix 2015-12-11 09:23:21 EST
Created attachment 1104703 [details]
File: dso_list
Comment 5 Phoenix 2015-12-11 09:23:23 EST
Created attachment 1104704 [details]
File: environ
Comment 6 Phoenix 2015-12-11 09:23:25 EST
Created attachment 1104705 [details]
File: exploitable
Comment 7 Phoenix 2015-12-11 09:23:27 EST
Created attachment 1104706 [details]
File: limits
Comment 8 Phoenix 2015-12-11 09:23:31 EST
Created attachment 1104707 [details]
File: maps
Comment 9 Phoenix 2015-12-11 09:23:33 EST
Created attachment 1104708 [details]
File: mountinfo
Comment 10 Phoenix 2015-12-11 09:23:35 EST
Created attachment 1104709 [details]
File: namespaces
Comment 11 Phoenix 2015-12-11 09:23:37 EST
Created attachment 1104710 [details]
File: open_fds
Comment 12 Phoenix 2015-12-11 09:23:39 EST
Created attachment 1104711 [details]
File: proc_pid_status
Comment 13 Niki Guldbrand 2016-02-18 00:17:35 EST
Similar problem has been detected:

Was trying to administer/update Gnome-shell extensions

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/libexec/webkit2gtk-4.0/WebKitPluginProcess 227 /usr/lib64/mozilla/plugins/libgnome-shell-browser-plugin.so
crash_function: WebKit::NPObjectMessageReceiver::hasProperty
executable:     /usr/libexec/webkit2gtk-4.0/WebKitPluginProcess
global_pid:     23158
kernel:         4.3.5-300.fc23.x86_64
package:        webkitgtk4-2.10.7-1.fc23
reason:         WebKitPluginProcess killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 14 Michael Catanzaro 2016-03-09 10:44:58 EST
*** Bug 1316102 has been marked as a duplicate of this bug. ***
Comment 15 Joshua Rich 2016-03-23 23:38:37 EDT
Similar problem has been detected:

Tried to update a GNOME extension using Epiphany.  Went to extensions.gnome.org/local, clicked the green upgrade button on the extension I wanted to upgrade.  Green button dissappeared and then I got this error in my logs.

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/libexec/webkit2gtk-4.0/WebKitPluginProcess 24 /usr/lib64/mozilla/plugins/libgnome-shell-browser-plugin.so
crash_function: WebKit::NPObjectMessageReceiver::hasProperty
executable:     /usr/libexec/webkit2gtk-4.0/WebKitPluginProcess
global_pid:     13940
kernel:         4.4.5-300.fc23.x86_64
package:        webkitgtk4-2.10.9-1.fc23
reason:         WebKitPluginProcess killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 16 Michael Catanzaro 2016-03-31 16:08:59 EDT
*** Bug 1322731 has been marked as a duplicate of this bug. ***
Comment 17 Robert Hollencamp 2016-05-05 09:53:19 EDT
Similar problem has been detected:

1) install gnome-shell-extension-pidgin
2) visit extensions.gnome.org in epiphany
3) attempt to upgrade pidgin extension (it is out of date)

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/libexec/webkit2gtk-4.0/WebKitPluginProcess 30 /usr/lib64/mozilla/plugins/libgnome-shell-browser-plugin.so
crash_function: WebKit::NPObjectMessageReceiver::hasProperty
executable:     /usr/libexec/webkit2gtk-4.0/WebKitPluginProcess
global_pid:     8261
kernel:         4.4.8-300.fc23.x86_64
package:        webkitgtk4-2.12.2-2.fc23
reason:         WebKitPluginProcess killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 18 Michael Catanzaro 2016-07-09 17:16:59 EDT
*** Bug 1350512 has been marked as a duplicate of this bug. ***
Comment 19 Michael Catanzaro 2016-10-27 11:52:32 EDT
*** Bug 1389269 has been marked as a duplicate of this bug. ***
Comment 20 Michael Catanzaro 2016-10-27 11:53:04 EDT
*** Bug 1380136 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.